Package org.apache.sling.fsprovider.internal.parser

# Enum ContentType

java.lang.Object
java.lang.Enum<ContentType>
org.apache.sling.fsprovider.internal.parser.ContentType

All Implemented Interfaces:
  `Serializable`, `Comparable<ContentType>`

public enum ContentType extends Enum<ContentType>
Content types.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JCR_XML`
JCR XML content (FileVault XML).
`JSON`
JSON content descriptor file.
`XML`
XML content descriptor file.

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtension()`
`static ContentType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ContentType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### JSON

public static final ContentType JSON
JSON content descriptor file.

### XML

public static final ContentType XML
XML content descriptor file.

### JCR_XML

public static final ContentType JCR_XML
JCR XML content (FileVault XML). Also known as extended document view XML. Extends the regular document view as specified by JCR 2.0 by specifics like multivalue and typing information. Is used by Jackrabbit FileVault.

## Method Details

### values

public static ContentType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ContentType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getExtension

public String getExtension()

Returns:
  Extension